import json
import requests
#Тестовый класс User и Address (ВАЖНО!!!) поля классов должны называться также как и поля json объекта
class Address(object):
    def __init__(self, street, number):
        self.street = street
        self.number = number

    def __str__(self):
        return "{0} {1}".format(self.street, self.number)

class User(object):
    def __init__(self, name, address):
        self.name = name
        self.address = Address(**address)
    
    def __str__(self):
        return "{0} ,{1}".format(self.name, self.address)

#Функция преобразования json в объект класса 
def jsonToUser(jsonstring) -> User:
    jsonObj = json.loads(jsonstring)
    print(jsonObj)
    u = User(**jsonObj)
    return u

#Функция обращения к апи и получение токена
def requestGetToken(login, password, url) -> str:
    #login = "79876543210"
    #password = "admin12345@"
    #url = "https://user.sharix-app.org/auth/token/login/"
    data = {
        "password": password,
        "phone_number": login
    }
    response = requests.post(url, json=data)
    result = response.json()
    return result['auth_token']
#Функция обращения к апи и получение списка пользователей
def requestGetListUser():
    auth_token=requestGetToken()
    print(auth_token)
    headers = {'Authorization': f'Token {auth_token}'}
    url = 'https://user.sharix-app.org/platform/api/sharix-users/'
    response = requests.get(url, headers=headers)
    print(response)
    print(response.json())
